/*
   SPACING SYSTEM (px)
   2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
   FONT SIZE SYSTEM (px)
   10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
   */
/*
MAIN COLOR: #087f5b
GREY COLOR: #343a40
*/
@import url('https://fonts.googleapis.com/css?family=Comfortaa|Kaushan+Script|Oswald&display=swap');

:root {
    --primary-color: rgb(255, 92, 92);
    --primary-variant: #ff2d2d;
    --secondary-color: #1b9999;
    --on-primary: rgb(250, 250, 250);
    --on-background: rgb(66, 66, 66);
    --on-background-alt: rgba(66, 66, 66, 0.7);
    --background: rgb(255, 255, 255);
    --box-shadow: 0 5px 20px 1px rgba(0, 0, 0, 0.5);
}

[data-theme="dark"] {
    --primary-color: rgb(150, 65, 255);
    --primary-variant: #6c63ff;
    --secondary-color: #03dac5;
    --on-primary: #000;
    --on-background: rgba(255, 255, 255, 0.9);
    --on-background-alt: rgba(255, 255, 255, 0.7);
    --background: #121212;
}

/* Dark Mode Toggle */
.theme-switch-wrapper {
    display: flex;
    align-items: center;
    z-index: 100;
    position: fixed;
    right: 25px;
    top: 30px;
}

.theme-switch-wrapper span {
    margin-right: 10px;
    font-size: 1rem;
}

.toggle-text {
    position: relative;
    top: -4px;
    right: 5px;
    color: var(--on-background);
    /*letter-spacing: 1px;*/
    font-family: Comfortaa, sans-serif;
}

.theme-switch {
    display: inline-block;
    height: 34px;
    position: relative;
    width: 60px;
}

.theme-switch input {
    display: none;
}

.slider {
    background: #ccc;
    bottom: 0;
    cursor: pointer;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transition: 0.4s;
}

.slider::before {
    background: #fff;
    bottom: 4px;
    content: "";
    height: 26px;
    left: 4px;
    position: absolute;
    transition: 0.4s;
    width: 26px;
}

input:checked + .slider {
    background: var(--primary-color);
}

input:checked + .slider::before {
    transform: translateX(26px);
}

.slider.round {
    border-radius: 34px;
}

.slider.round::before {
    border-radius: 50%;
}

.fas {
    font-size: 30px;
    margin-right: 5px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    /*background-image: url("../../img/nicole-angelova-417kabtPFEU-unsplash.jpg");*/
    background-color: #96f2d7;
    font-family: "Inter", sans-serif;
    color: #343a40;
    line-height: 1;
    /*display: flex;*/
    /*justify-content: center;*/
}

.loader {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 55%;
    background-color: white;
    padding: 6rem;
    border-radius: 5px;
    box-shadow: 0 3rem 5rem rgba(0, 0, 0, 0.3);
    font-family: "Times New Roman", sans-serif;
    z-index: 10;
}

.hidden {
    display: none;
}

/*.headline{*/
/*    display: flex;*/
/*    text-align: center;*/
/*}*/

table {
    width: 800px;
    /*background-color: red;*/
    margin: 35px auto 0;
    /*margin-top: 70px;*/
    font-size: 18px;
    /*border: 1px solid #343a40;*/
    border-collapse: collapse;
}

th, td {
    /*border: 1px solid #343a40;*/
    padding: 16px 24px;
    text-align: left;
}

thead tr {
    background-color: #087f5b;
    color: #fff;
}

thead th {
    width: 25%;
}

tbody tr:nth-child(odd) {
    background-color: #f8f9fa;
}

tbody tr:nth-child(even) {
    background-color: #e9ecef;
}

.article {
    text-decoration: none;
    font-size: 20px;
    font-family: "Times New Roman", serif;
}

.article:hover {
    background-color: green;
    cursor: pointer;
}

.theme, .topic {
    color: #dc2626;
    font-family: "Times New Roman", serif;
    font-size: 20px;
}

.topic {
    color: #111827;
}

a:link {
    text-decoration: none;
}

a:hover {
    text-decoration: underline #2f9e44 5px;
    cursor: pointer;
    /*background-color: #2f9e44;*/
}

.playerIcon:hover {
    background-color: #5c940d;
    border-radius: 100%;
    cursor: pointer;
    /*filter: drop-shadow(16px 16px 10px green)*/
}

.noAudio:hover {
    background-color: #343a40;
    border-radius: 100%;
    cursor: not-allowed;
}

.arrowBox {
    /*display: block;*/
    /*margin: 40px auto 0;*/
    /*text-align: center;*/
}

.left {
    position: relative;
    top: 20px;
    left: 600px;

}


.right {
    position: relative;

    top: 20px;
    left: 700px;
}

.arrow {
    --color-primary: #5ec576;
    border: none;
    background: rgba(255, 255, 255, 0.7);
    border-radius: 50%;
    height: 4.5rem;
    width: 4.5rem;
    font-size: 2.25rem;
    cursor: pointer;
    margin-top: 30px;
    /*margin-right: 500px;*/
    transform: translate(50%, -50%);
}

.arrow:hover {
    cursor: pointer;
}

.page {
    display: inline-block;
    font-family: Serif, serif;
    font-size: 32px;
}


.pagination {
    display: flex;
    align-items: center;
    gap: 12px;
    /*margin-top: 200px;*/
    width: 200px;
    margin:30px auto;
}

.btn {
    border: 1px solid #087f5b;
    height: 48px;
    width: 48px;
    border-radius: 50%;
    background: none;
    cursor: pointer;
}

.btn:hover {
    background-color: #087f5b;
}

.btn:hover .btn-icon {
    stroke: #fff;
}

.btn-icon {
    height: 24px;
    width: 24px;
    stroke: #087f5b;
}

.page-link:link,
.page-link:visited {
    font-size: 18px;
    color: #343a40;
    text-decoration: none;
    height: 36px;
    width: 36px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-link:hover,
.page-link:active,
.page-link.page-link--current {
    background-color: #087f5b;
    color: #fff;
}

.dots {
    color: #868e96;
}

footer {
    margin-top: 70px;
    margin-bottom: 20px;
    /*flex-direction: row;*/
    /*align-items:stretch;*/
    text-align: center;
    font-family: "Lato", serif;
    font-style: normal;
    font-size: 1.2rem;
    font-weight: 300;
    color: #38464d;
    text-rendering: optimizeLegibility;
    /*position: absolute;*/
    /*bottom: 20px;*/
    /*right: 43%;*/
    /*text-align: center;*/
}